# -*- coding: utf-8 -*-

FACTOR_WEIGHTS_HEADER = ["Factor file", "Pressure weight", "Opportunity weight"]
FACTOR_WEIGHTS_DATA = [
                       "access-wheelchair.tif", 1, -0.2,
                       "business-clusters-bicycle-shops.tif", 2.5, -2.8,
                       "business-clusters-water-sports.tif", 1, -1.4,
                       "management-mcz.tif", -1.7, 3.6,
                       "management-national-park.tif", 0.7, 6.9,
                       "management-nnr.tif", 6.7, -0.4,
                       "management-SAC_Natura2000.tif", 4.1, 2.4,
                       "management-SSSI.tif", 1.4, 0.5,
                       "managment-lnr.tif", 2.1, 1.9
                      ]

SCENARIO_WEIGHTS_HEADER = ["Scenario", "Factor file", "Opportunity multiplier", "Pressure multiplier"]
SCENARIO_WEIGHTS_DATA = [
                        "Profit", "access-bus-routes.tif", 0.33, 3,
                        "Profit", "access-cycle-network.tif", 0.33, 3,
                        "Profit", "access-footpaths.tif", 0.33, 3,
                        "Profit", "access-major-roads.tif", 0.33, 3,
                        "Profit", "access-open-access.tif", 0.33, 3,
                        "Profit", "access-railway-stations.tif", 0.33, 3,
                        "Profit", "access-wheelchair.tif", 0.33, 3,
                        "Profit", "business-clusters-bicycle-shops.tif", 0.5, 3,
                        "Profit", "business-clusters-food-and-drink.tif", 0.5, 3,
                        "Profit", "business-clusters-water-sports.tif", 0.5, 3,
                        "Profit", "heritage-car-parks.tif", 0.5, 3,
                        "Profit", "heritage-HAR.tif", 0.5, 3,
                        "Profit", "heritage-scheduled-monuments.tif", 0.5, 3,
                        "Profit", "heritage-trip-advisor.tif", 0.33, 3,
                        "Profit", "heritage-visitor-attractions.tif", 0.33, 2,
                        "Profit", "heritage-visitor-centre.tif", 0.5, 3,
                        "Profit", "management-mcz.tif", 0.5, 2,
                        "Profit", "management-national-park.tif", 0.5, 2,
                        "Profit", "management-nnr.tif", 0.5, 2,
                        "Profit", "management-SAC_Natura2000.tif", 0.5, 2,
                        "Profit", "management-species-biodiversity.tif", 0.5, 2,
                        "Profit", "management-SSSI.tif", 0.5, 2,
                        "Profit", "managment-lnr.tif", 0.5, 2,
                        "Business as usual", "access-bus-routes.tif", 1, 2,
                        "Business as usual", "access-cycle-network.tif", 1, 2,
                        "Business as usual", "access-footpaths.tif", 1, 2,
                        "Business as usual", "access-major-roads.tif", 1, 2,
                        "Business as usual", "access-open-access.tif", 1, 2,
                        "Business as usual", "access-railway-stations.tif", 1, 2,
                        "Business as usual", "access-wheelchair.tif", 1, 2,
                        "Business as usual", "business-clusters-bicycle-shops.tif", 1, 2,
                        "Business as usual", "business-clusters-food-and-drink.tif", 1, 2,
                        "Business as usual", "business-clusters-water-sports.tif", 1, 2,
                        "Business as usual", "heritage-car-parks.tif", 0.5, 2,
                        "Business as usual", "heritage-HAR.tif", 0.5, 2,
                        "Business as usual", "heritage-scheduled-monuments.tif", 0.5, 2,
                        "Business as usual", "heritage-trip-advisor.tif", 1, 2,
                        "Business as usual", "heritage-visitor-attractions.tif", 1, 2,
                        "Business as usual", "heritage-visitor-centre.tif", 0.5, 2,
                        "Business as usual", "management-mcz.tif", 1, 2,
                        "Business as usual", "management-national-park.tif", 1, 2,
                        "Business as usual", "management-nnr.tif", 1, 2,
                        "Business as usual", "management-SAC_Natura2000.tif", 1, 2,
                        "Business as usual", "management-species-biodiversity.tif", 1, 2,
                        "Business as usual", "management-SSSI.tif", 1, 2,
                        "Business as usual", "managment-lnr.tif", 1, 2,
                        "Custodianship", "access-bus-routes.tif", 2, 0.5,
                        "Custodianship", "access-cycle-network.tif", 2, 0.5,
                        "Custodianship", "access-footpaths.tif", 2, 0.5,
                        "Custodianship", "access-major-roads.tif", 2, 0.5,
                        "Custodianship", "access-open-access.tif", 2, 0.5,
                        "Custodianship", "access-railway-stations.tif", 2, 0.5,
                        "Custodianship", "access-wheelchair.tif", 2, 0.5,
                        "Custodianship", "business-clusters-bicycle-shops.tif", 2, 0.5,
                        "Custodianship", "business-clusters-food-and-drink.tif", 2, 0.5,
                        "Custodianship", "business-clusters-water-sports.tif", 2, 0.5,
                        "Custodianship", "heritage-car-parks.tif", 2, 0.5,
                        "Custodianship", "heritage-HAR.tif", 2, 0.5,
                        "Custodianship", "heritage-scheduled-monuments.tif", 2, 0.5,
                        "Custodianship", "heritage-trip-advisor.tif", 2, 0.5,
                        "Custodianship", "heritage-visitor-attractions.tif", 2, 0.5,
                        "Custodianship", "heritage-visitor-centre.tif", 2, 0.5,
                        "Custodianship", "management-mcz.tif", 2, 0.5,
                        "Custodianship", "management-national-park.tif", 2, 0.5,
                        "Custodianship", "management-nnr.tif", 2, 0.5,
                        "Custodianship", "management-SAC_Natura2000.tif", 2, 0.5,
                        "Custodianship", "management-species-biodiversity.tif", 2, 0.5,
                        "Custodianship", "management-SSSI.tif", 2, 0.5,
                        "Custodianship", "managment-lnr.tif", 2, 0.5
                       ]
